Loading...
Searching...
No Matches
CrissCross Class Reference

CrissCross. More...

`#include <game.h>`

Inheritance diagram for CrissCross:

## Private Member Functions

void | endTurn ()
| Ends the current turn.
void | nextTurn ()
| Switches to the next turn.
const bool | isPlayerTurn ()
| Checks whether it's the human player turn or not.
const bool | checkVictory ()
| Checks whether somebody won or not.
const bool | gameDraw ()
| Checks whether the game is draw or not.
void | victory ()
| Someone won, process the victory.
void | draw ()
| The match is over but nobody won, the game is draw.
void | AI_playTurn ()
| Main function for the AI to play its turn.
void | AI_updateWeights ()
| Updates the weights of the tiles. More...
const unsigned int | AI_makeChoice ()
| Makes the choice depending on the weights. More...

## Detailed Description

CrissCross.

Player vs AI criss-cross game

## Member Function Documentation

## AI_makeChoice()

const unsigned int CrissCross::AI_makeChoice | ( |  | ) |

private

Makes the choice depending on the weights.

Returns
  The tile to select

See also
  AI_playTurn();

## AI_updateWeights()

void CrissCross::AI_updateWeights | ( |  | ) |

private

Updates the weights of the tiles.

See also
  AI_playTurn();

The documentation for this class was generated from the following files:

- logdoctor/games/crisscross/game.h
- logdoctor/games/crisscross/game.cpp